
Redmine - Defect #34709

No Images in PDF export of issue list (with option show description)

2021-02-11 19:22 - Gregor Hiltmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.1.1

Description

This error is shown in current release 4.1.1 and the version used by redmine.org.

Steps to reproduce:

1. Create a new issue, upload an attachment - e.g. "example.png" (like in this issue)

2. Link the attachment in the description like this:

 

3. Create the issue, show the issue list

4. Click on options, check show description and apply

5. Now the issue list images are shown

6. Click on (also available in) PDF below the list

Result:

The PDF doesn't contain the image. Instead the filename ist shown. In production log we see an error (something like filename is

missing) -> filename object is NIL.

How to repair - simply do this:

1. open the file lib/redmine/export/pdf/issues_pdf_helper.rb

2. search for: 

pdf.RDMwriteHTMLCell(0, 5, '', '', text, [], "LRB")

3. replace with:

pdf.RDMwriteHTMLCell(0, 5, '', '', text, issue.attachments, "LRB")

Related issues:

Related to Redmine - Feature #35683: PDF rendering improvements when exportin... Closed

History

#1 - 2021-03-01 08:30 - Go MAEDA

- Status changed from New to Confirmed

#2 - 2021-03-01 08:30 - Go MAEDA

- Category changed from Issues list to PDF export

#3 - 2022-01-04 03:16 - Go MAEDA

- Related to Feature #35683: PDF rendering improvements when exporting an issue or a list of issues added

#4 - 2022-01-04 03:18 - Go MAEDA
- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed by r21213. The fix is going to be delivered in the upcoming Redmine 5.0.0.

Thank you for reporting the issue.
